from torch.utils.data import Dataset

from verify.trainer.trainers import BaseTrainer


class CrossValidation(object):

    def __init__(self, trainer: BaseTrainer, dataset: Dataset, save_states=None):
        pass